Package com.avaya.clientservices.call.conference

## Enum ConferenceRoomSystemStatus

- java.lang.Object
- - java.lang.Enum<ConferenceRoomSystemStatus>
  - - com.avaya.clientservices.call.conference.ConferenceRoomSystemStatus

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConferenceRoomSystemStatus>`

      public enum ConferenceRoomSystemStatus
      extends java.lang.Enum<ConferenceRoomSystemStatus>

  Enumeration representing conferencing room system's status.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AVAILABLE` | The room system is available.
    `BUSY` | The room system is busy.
    `NOT_ALLOWED` | The user is not allowed to connect to the room system.
    `UNKNOWN` | The room system's status is unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConferenceRoomSystemStatus` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConferenceRoomSystemStatus[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNKNOWN

          public static final ConferenceRoomSystemStatus UNKNOWN

      The room system's status is unknown.

    - #### AVAILABLE

          public static final ConferenceRoomSystemStatus AVAILABLE

      The room system is available. The user can initiate mobile link connection to this system.

    - #### BUSY

          public static final ConferenceRoomSystemStatus BUSY

      The room system is busy. Mobile link connection attempt will fail.

    - #### NOT_ALLOWED

          public static final ConferenceRoomSystemStatus NOT_ALLOWED

      The user is not allowed to connect to the room system. Mobile link connection attempt will fail.

  - ### Method Detail

    - #### values

          public static ConferenceRoomSystemStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConferenceRoomSystemStatus c : ConferenceRoomSystemStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConferenceRoomSystemStatus valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null